Summary: waseda multilingual fonts for X11
Name: waseda-X11-fonts
Version: 920515
Release: 5
Source: waseda-fonts.tar.gz
Copyright: Waseda University
Group: X11/fonts
BuildRoot: /var/tmp/waseda-root
%ifnarch sparc
Requires: XFree86 >= 3.3
%endif

%description
This font set is an achievement of Multi-lingual I/O System Project at Waseda University, Tokyo, Japan.  kataoka@ohara.info.waseda.ac.jp

%prep
%setup -n waseda-fonts

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/misc
for FILE in *.bdf
do
        DESTFILE=`basename $FILE .bdf`.pcf
	bdftopcf $FILE -o $DESTFILE
%ifarch sparc
	compress $DESTFILE
%else
	gzip -9 $DESTFILE
%endif
	install -m 644 $DESTFILE.* $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/misc
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
mkfontdir /usr/X11R6/lib/X11/fonts/misc

%postun
mkfontdir /usr/X11R6/lib/X11/fonts/misc

%files
%attr(-, root, root) %doc COPYRIGHT
%attr(-, root, root) /usr/X11R6/lib/X11/fonts/misc/*.pcf.*
